Props

Update Prop

PUT
/props/{propId}

Updates a Prop and returns the updated Prop object. When updating the asset bundle, all of name, assetUrl, platform, unityVersion, assetVersion, spawnType, and worldPlacementMask must be present, as well as propSignature if this value is not blank.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

propId*string

Prop ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/props/prop_829ba6f6-b837-49d9-b9a9-056b82103b58" \  -H "Content-Type: application/json" \  -d '{}'
{
  "_created_at": "2019-08-24T14:15:22Z",
  "_updated_at": "2019-08-24T14:15:22Z",
  "authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "authorName": "string",
  "description": "string",
  "id": "prop_829ba6f6-b837-49d9-b9a9-056b82103b58",
  "imageUrl": "string",
  "maxCountPerUser": 1,
  "name": "string",
  "releaseStatus": "public",
  "spawnType": 1,
  "tags": [
    "string"
  ],
  "thumbnailImageUrl": "string",
  "unityPackageUrl": "string",
  "unityPackages": [
    {
      "assetUrl": "https://api.vrchat.cloud/api/1/file/file_c991c050-8b43-4046-8182-24d068524ac5/24/file",
      "assetVersion": 4,
      "platform": "standalonewindows",
      "propSignature": "string",
      "unityVersion": "2022.3.22f1",
      "variant": "string"
    }
  ],
  "worldPlacementMask": 1
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "You don't have permission․",
    "status_code": 403
  }
}
{
  "error": {
    "message": "That prop does not exist.",
    "status_code": 404
  }
}